Search:

Type: Posts; User: Demon Cleaner

Search: Search took 0.11 seconds.

  1. Replies
    12
    Views
    3,017

    They now also have versions of FF Anthology,...

    They now also have versions of FF Anthology, Parasite Eve, Chrono Cross, Castlevania Chronicles and many more.
  2. Replies
    12
    Views
    3,017

    You need fw 3.02oe-b to run the PSX games,...

    You need fw 3.02oe-b to run the PSX games, 3.02oe-a doesn't play them. Then you convert the PSX (original) iso with the popstation tool, you'll get 2 files and copy them to your memstick to...
  3. Replies
    12
    Views
    3,017

    Don't know. Have to check that, as you know, I...

    Don't know. Have to check that, as you know, I still don't have a PSP, otherwise I'll be more up to date.
  4. Replies
    12
    Views
    3,017

    That's it, runs in fw v3.02

    That's it, runs in fw v3.02
  5. Replies
    12
    Views
    3,017

    FF7 and Xenogears forPSP

    Those 2 games have just been released for the PSP. Don't have any further info, currently d/l them both, without even owning a PSP (that does mean something!!).
Results 1 to 5 of 5

Copyright classicamiga.com